
function data()
return {
	info = {
		minorVersion = 0,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("Faals 150"),
		description = _("info_faals_150_desc"),
		tags = { "Europe", "Wagon", },
		
		params = {
			{
				key = "faals150fake",
				name = _("Fake"),
				values = { "No", "Yes", },
				tooltip = _("option_faals_150_fake_desc"),
				defaultIndex = 0,
			},
		},
		
		dependencies = { "kaleut_drehgestelle_1", },
		
		requiredMods = {
				{ 
					modId= "kaleut_drehgestelle_1", -- optional, modid
					steamId = 1956333378, -- optional, steam workshop id 
					tfnetId = 5040, -- optional, id der Webdisk auf transportfever.net
					url = "https://modwerkstatt.com/downloads/gueterwagen-drehgestelle-tpf2/", -- optional, url zum Download der Mod
					minMinorVersion = 0 -- optional, minimale minorVersion
				}, 				
			},
			
		authors = {
			{
				name = "Kaleut1988",
				role = "CREATOR",
				text = "3d model, mapping, textures",
				tfnetId = 22532,				
			},
			{
				name = "baubus",
				role = "CO_CREATOR",
				text = "soundset",
				tfnetId = 18332,				
			},
		},
		tfnetId = 0,                 															-- optional, transportfever.net id
		steamId = 0,             															-- optional, steam workshop id
		url = "", 	-- optional, URL zur Webseite des Mods
		visible = true
	},
	
	runFn = function(settings, modParams)
	
		local hidden = {				
				["db_ag_fake1.mdl"] = true,
				["db_ag_fake2.mdl"] = true,
				["db_fake1.mdl"] = true,
				["db_fake2.mdl"] = true,
				["p+s_fake1.mdl"] = true,
				["p+s_fake2.mdl"] = true,
			}
		
		local modelFilter = function(fileName, data)				
				local modelName = fileName:match('/faals_150_neu_([^/]*.mdl)') 		
				return (modelName==nil or hidden[modelName]~=true)				
			end  
		
		if modParams[getCurrentModId()] ~= nil then
			local params = modParams[getCurrentModId()]					
			if params["faals150fake"] == 0 then
				addFileFilter("model/vehicle", modelFilter)		
			end
		else
			addFileFilter("model/vehicle", modelFilter)	
		end		
			
	end
}
end
